# From example_rules/example_frequency.yaml
name: Annotator DB Too Many Uncaught Exceptions (qnaPut)
type: metric_aggregation
index: search-metrics
timestamp_field: "time"

filter:
- term:
    name: "annotator_db_backend_service_production"
metric_agg_key: "statistics.qnaPut.number_of_uncaught_exceptions"
metric_agg_type: "sum"
max_threshold: 10
doc_type: "metric"
buffer_interval:
  minutes: 1

alert:
- "slack"
slack_webhook_url: "https://hooks.slack.com/services/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"
realert:
  minutes: 30
exponential_realert:
  hours: 1
